Skip to content
Endless Documentation

Create Canvases

POST
/organizations/{organization_id}/canvases

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

organization_id*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/organizations/org_abc123/canvases" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "owner_id": "string",  "organization_id": "string",  "name": "string",  "description": "string",  "icon": "string",  "color": "string",  "thumbnail_url": "string",  "visibility": "private",  "last_activity_at": "2019-08-24T14:15:22Z",  "deleted_at": "2019-08-24T14:15:22Z",  "deleted_by_id": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}